%define lname bi
%define major 1

%define libname %mklibname %lname %major
%define develname %mklibname -d %lname

Name:		xostesting-checkpointing
Summary:	Grid checkpointer test suite
Version:	0.2.0
Release:	%mkrel 1
Source:		testing-checkpointing-%{version}.tar.bz2
Group:		System/Cluster
License:	GPLv2+
URL:		http://www.xtreemos.org/
%description
Grid checkpointer test suite.

%package -n %libname
Summary:	library for grid checkpointer test suite
Group:		System/Cluster
%description -n %libname
Library for grid checkpointer test suite.

%package -n %develname
Summary:	Developement files for %libname
Group:		System/Cluster
Requires:	%libname = %{version}-%{release}
%description -n %develname
Developement files for %libname.

%prep
%setup -q -n testing-checkpointing-%{version}
autoreconf --install

%build
%configure
%make CFLAGS=-Wall

%install
%{__rm} -Rf %{buildroot}
%makeinstall

%clean
%{__rm} -Rf %{buildroot}

%files
%defattr(-,root,root)
%doc NEWS README AUTHORS ChangeLog COPYING
%{_bindir}/*

%files -n %libname
%defattr(-,root,root)
%{_libdir}/libbi.so.%{major}
%{_libdir}/libbi.so.%{major}.0.0

%files -n %develname
%defattr(-,root,root)
%{_libdir}/libbi.a
%{_libdir}/libbi.la
%{_libdir}/libbi.so
%{_libdir}/pkgconfig/bi.pc

